> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credential by NFT ID

> Get a verifiable credential by the ID associated with the minted NFT.

This ID will have the format: `<UUID>`. For example: `d7eb777b-e9b4-4f34-ab5f-ce199111166a`

**API scope required** `credentials.read`. This endpoint will not work with a client side API key.


<Snippet file="alpha-api-note.mdx" />


## OpenAPI

````yaml get /v1-alpha1/credentials/templates/{collectionId}/nfts/{id}/credentials
openapi: 3.0.1
info:
  description: N/A
  version: 1.0.0
  title: Verifiable Credentials
  contact:
    name: Crossmint Verifiable Credentials APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security:
  - apiKey: []
paths:
  /v1-alpha1/credentials/templates/{collectionId}/nfts/{id}/credentials:
    get:
      tags:
        - Verifiable Credentials
      summary: Get Credential by NFT ID
      description: >
        Get a verifiable credential by the ID associated with the minted NFT.


        This ID will have the format: `<UUID>`. For example:
        `d7eb777b-e9b4-4f34-ab5f-ce199111166a`


        **API scope required** `credentials.read`. This endpoint will not work
        with a client side API key.
      operationId: get-vc
      parameters:
        - name: collectionId
          in: path
          description: The credential's template id.
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: >
            UUID of the NFT returned in the NFT creation response. Format is:
            `<UUID>`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                type: object
                description: The credential object
              example:
                $ref: '#/components/examples/Credential'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
              example:
                error: Credential not issued yet, wait for the mint to complete.
        '404':
          description: NFT not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Key obtained from the Crossmint developer console, reflecting the API
        scope granted.

````